aboutsummaryrefslogtreecommitdiff
path: root/t/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 't/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild')
-rw-r--r--t/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/t/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild b/t/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild
new file mode 100644
index 0000000..0ff4195
--- /dev/null
+++ b/t/LO-readme/commandinreadmespanslines/commandinreadmespanslines.SlackBuild
@@ -0,0 +1,20 @@
+#!/bin/bash
+PRGNAM="commandinreadmespanslines"
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+TMP=${TMP:-/tmp/SBo}
+OUTPUT=${OUTPUT:-/tmp}
+
+if ! getent passwd "test"; then
+ echo "test user doesn't exist!"
+ exit 1
+fi
+
+mkdir -p $TMP/$PRGNAM-$VERSION
+cp README $TMP/$PRGNAM-$VERSION
+mkdir -p $OUTPUT/package-$PRGNAM/usr/doc/$PRGNAM-$VERSION
+cp README $OUTPUT/package-$PRGNAM/usr/doc/$PRGNAM-$VERSION
+cd $OUTPUT/package-$PRGNAM
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.tgz